// RSSMU_AWGN_ExampleDlg.h : header file
//

#if !defined(AFX_RSSMU_AWGN_EXAMPLEDLG_H__32217A8D_5F92_41D2_8C9F_4B9AC96F992C__INCLUDED_)
#define AFX_RSSMU_AWGN_EXAMPLEDLG_H__32217A8D_5F92_41D2_8C9F_4B9AC96F992C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/* Error check macro for driver functions */

#define FT_CHECKERR(fcal, err) if ((rssmu_status = fcal) < 0){\
								 rssmu_close(instrSession);\
        						 sprintf (buffer, "Error: %ld, %s", rssmu_status, err);\
        						 AfxMessageBox (buffer, MB_OK);\
        						 return;\
        						 }

/////////////////////////////////////////////////////////////////////////////
// CRSSMU_AWGN_ExampleDlg dialog

class CRSSMU_AWGN_ExampleDlg : public CDialog
{
// Construction
public:
	CRSSMU_AWGN_ExampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CRSSMU_AWGN_ExampleDlg)
	enum { IDD = IDD_RSSMU_AWGN_EXAMPLE_DIALOG };
	CString	m_ResName;
	BOOL	m_AWGNState;
	int		m_AWGNMode;
	BOOL	m_DMState;
	BOOL	m_Query;
	double	m_MinimumNoise;
	BOOL	m_Reset;
	double	m_RFFreq;
	double	m_RFLevel;
	BOOL	m_RFState;
	double	m_SystemBandwidth;
	double	m_CarrierRatio;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRSSMU_AWGN_ExampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CRSSMU_AWGN_ExampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnApply();
	afx_msg void OnSelchangeAwgnMode();
	afx_msg void OnKillfocusCarrierlevel();
	afx_msg void OnKillfocusMinnoise();
	afx_msg void OnKillfocusNoiselevel();
	afx_msg void OnKillfocusCarrierratio();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RSSMU_AWGN_EXAMPLEDLG_H__32217A8D_5F92_41D2_8C9F_4B9AC96F992C__INCLUDED_)
